Download it now!
Bug 120455 - kde5: Disabling "Arrows" toolbar via menu does not work in Writer
Summary: kde5: Disabling "Arrows" toolbar via menu does not work in Writer
Status: VERIFIED DUPLICATE of bug 121417
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
6.2.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: KDE Toolbars
  Show dependency treegraph
 
Reported: 2018-10-09 11:10 UTC by Michael Weghorn
Modified: 2018-11-28 16:00 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Weghorn 2018-10-09 11:10:02 UTC
version: master build as of commit 260701270abc7997996625449cd3d40f8b4f7f49
VCL: kde5 on X11 (the gtk3 VCL plugin e.g. works fine)
platform: Debian testing, Plasma 5 desktop

Steps to reproduce:

1) start LibreOffice Writer
2) activate the "Arrows" toolbar using "View" -> "Toolbars" -> "Arrows"
3) observe that a free-flowing "Arrows" toolbar appears (as expected)
4) deactivate the "Arrows" toolbar using "View" -> "Toolbars" -> "Arrows" again

Result: The "Arrows" toolbar is still shown, even though the checkbox in the menu entry is no longer checked.

Expected result: The "Arrows" toolbar should disappear again.
Comment 1 Katarina Behrens (Inactive) 2018-10-23 14:23:06 UTC
Seems fixing bug 120450 makes this one go away as well. But pls double-check

*** This bug has been marked as a duplicate of bug 120450 ***
Comment 2 Michael Weghorn 2018-10-24 19:27:18 UTC
I currently can't fully test due to bug 120882 (wrong toolbars are enabled/disabled, s. c#1), but if I leave commit b439cfda24676c5272e3fe30c0a521975f948274 (i.e. the fix for bug 120450) and revert a77163f0bd21d018da0e195974b42d6d71503592 (which seems to cause bug 120882), the problem is still there for me, so I'm reopening for now.

I'll be happy to test again once bug 120882 has been fixed.
Comment 3 Katarina Behrens (Inactive) 2018-11-28 11:52:32 UTC
Marking this as a duplicate of bug 121417, Aleksei fixed this in https://cgit.freedesktop.org/libreoffice/core/commit/?id=bc0c734bfaddf22ecc112591d4607e4fd04e2de2&h=master

*** This bug has been marked as a duplicate of bug 121417 ***
Comment 4 Michael Weghorn 2018-11-28 16:00:57 UTC
I can verify it works as expected with

Version: 6.3.0.0.alpha0+
Build ID: 3288d88e0c0842a44aa959e41cc665b9cf3804b9
CPU threads: 4; OS: Linux 4.18; UI render: default; VCL: kde5; 
Locale: en-GB (en_GB.UTF-8); UI-Language: en-US
Calc: threaded